# Exclude private libraries from autogenerated provides and requires
%global __provides_exclude_from ^%{_libdir}/gnome-connections/
%global __requires_exclude ^(%%(find %{buildroot}%{_libdir}/gnome-connections/ -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-connections
Version:	47.2.1
Release:	%mkrel 2
Summary:	A remote desktop client for the GNOME desktop environment
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://gitlab.gnome.org/gnome/connections/-/wikis/home
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	appstream-util
BuildRequires:	gettext >= 0.19.8
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	vala >= 0.36.0
BuildRequires:	vala-tools
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(freerdp2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-vnc-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(fuse3)

Provides:	connections = %{version}-%{release}
Obsoletes:	connections < 3.38.1-3

%description
GNOME Connections is a new app that aims to be a modern remote desktop client
for the GNOME desktop environment. Th app takes advantage of the VNC (Virtual
Network Client) and RDP (Remote Desktop Protocol) standards and lets users
connect to remote machines.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/gnome-connections/
rm -rf %{buildroot}%{_libdir}/gnome-connections/girepository-1.0/
rm -rf %{buildroot}%{_libdir}/gnome-connections/pkgconfig/
rm -rf %{buildroot}%{_datadir}/gnome-connections/gir-1.0/
rm -rf %{buildroot}%{_datadir}/gnome-connections/vapi/

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Connections.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_metainfodir}/org.gnome.Connections.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/mime/packages/org.gnome.Connections.xml


%changelog
* Sun Mar 16 2025 wally <wally> 47.2.1-2.mga10
+ Revision: 2164813
- rebuild for libxml2 2.13.6

* Wed Jan 29 2025 daviddavid <daviddavid> 47.2.1-1.mga10
+ Revision: 2143245
- new version 47.2.1

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097973
- new version 47.0

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050595
- new version 46.0

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992586
- Update to 45.0

* Mon Apr 24 2023 daviddavid <daviddavid> 44.1-1.mga9
+ Revision: 1954810
- new version 44.1
- rename pkg from connections to gnome-connections

* Thu Mar 31 2022 umeabot <umeabot> 3.38.1-2.mga9
+ Revision: 1837759
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1636979
- new version 3.38.1

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626529
- new version 3.38.0

* Sat Sep 12 2020 tv <tv> 3.37.91-1.mga8
+ Revision: 1624949
- package typelib
- fix filelist
- package translations
+ ovitters <ovitters>
- new version 3.37.91
- dropped merged patch 76f2946120d1a34b1ac7f8d2bad25308803e5e55.patch

* Fri Jul 24 2020 ovitters <ovitters> 3.37.2-2.mga8
+ Revision: 1608691
- add upstream patch to fix rpath
- BR appstream-util

* Tue Jul 21 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1607647
- BR gtk-vnc-2.0
- based upon gnome-boxes spec

